%define name libproxydynlang-ruby
%define version 1.2
%define release 1

# 基本情報
Summary: call from c to ruby language
Summary(ja): c言語から動的言語(ruby)を呼び出す為のライブラリです。
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: System Environment/Libraries
Packager: paradox
BuildArch: i386

# パケージの作成時に必要となる情報
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}

# 依存情報
Requires: libproxydynlang-devel = 1.2
BuildRequires(build): libproxydynlang-devel = 1.2
BuildRequires(build): ruby

# スクリプト部
%description
This is a from c to ruby language.

%description -l ja
c言語からRubyを呼び出すためのライブラリです。

%prep         # rpmを構築する前の準備です
%{__rm} -rf $RPM_BUILD_ROOT

%setup
#%patch -pl

%build
%{__make} proxyruby

%install
%{__make} install.ruby prefix=${RPM_BUILD_ROOT}%{_libdir} 

%clean
%{__rm} -rf $RPM_BUILD_ROOT

#ファイルリスト部
%files
%defattr(-, root,root)
%{_libdir}/libproxyruby.so

%changelog
* Thu Jul 28 2016 paradox <siranovel@gmail.com> 1.2
- 関数のパラメータを、型を指定できるように修正(STRINGのみ)

* Fri Jul 15 2016 paradox <siranovel@gmail.com> 1.1-2
- クラスに対するメゾットの呼び出しの実装

* Thu Jul 14 2016 paradox <siranovel@gmail.com> 1.1-1
- proxyruby-libs -> libproxydynlang-ruby

* Mon Jul 11 2016 paradox <siranovel@gmail.com> 1.0-1
- first release for version 1.0

